## org.apache.fop.datatypes
Class TableColLength

    java.lang.Object
      |
      +--org.apache.fop.datatypes.Length
            |
            +--org.apache.fop.datatypes.MixedLength
                  |
                  +--org.apache.fop.datatypes.TableColLength

public class TableColLength
extends MixedLength

A table-column width specification, possibly including some number of proportional "column-units". The absolute size of a column-unit depends on the fixed and proportional sizes of all columns in the table, and on the overall size of the table. It can't be calculated until all columns have been specified and until the actual width of the table is known. Since this can be specified as a percent of its parent containing width, the calculation is done during layout. NOTE: this is only supposed to be allowed if table-layout=fixed.

Fields inherited from class org.apache.fop.datatypes.Length
`AUTO, bIsComputed, millipoints`

Constructor Summary
`TableColLength(double tcolUnits)` Construct an object with tcolUnits of proportional measure.
`TableColLength(int absUnits, PercentLength pcUnits, double tcolUnits)`

Method Summary
`double` `getTableUnits()` Override the method in Length to return the number of specified proportional table-column units.
`java.lang.String` `toString()`

Methods inherited from class org.apache.fop.datatypes.MixedLength
`computeValue`

Methods inherited from class org.apache.fop.datatypes.Length
`convert, isAuto, mvalue, setIsComputed, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TableColLength

    public TableColLength(double tcolUnits)

  Construct an object with tcolUnits of proportional measure.

### TableColLength

    public TableColLength(int absUnits,
                          PercentLength pcUnits,
                          double tcolUnits)

Method Detail

### getTableUnits

    public double getTableUnits()

  Override the method in Length to return the number of specified proportional table-column units.
  Overrides:
    getTableUnits in class Length
  Tags copied from class: Length
  Returns:
    The number of table units which are included in this length specification.

### toString

    public java.lang.String toString()

  Overrides:
    toString in class MixedLength

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.